import { A3ListType } from '@/pages/A3clan/data'

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as A3ListType[],
    total: 0
  }
}

// 定义 action 类型
type Props = {
  type: 'A3/getList'
  payload: { list: A3ListType[]; total: number }
}

// reducer
export default function userReducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case 'A3/getList':
      return { ...state, tableInfo: action.payload }

    default:
      return state
  }
}
